#
# spec file for package surprise (Version 0.1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  e2fsprogs-devel glib glib-devel popt readline readline-devel sgmltool sp sp-devel termcap
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs e2fsprogs-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl popt ps rcs readline readline-devel rpm sendmail sgmltool sh-utils shadow sp sp-devel strace syslogd sysvinit termcap texinfo textutils timezone unzip util-linux vim

Name:         surprise
Copyright:	GPL
Group:		Applications/System
Autoreqprov:	on
Version:      0.1.3
Release:      120
Summary:      Partition Surprise
# Warning: this tar.gz is not constant, it's CVS snapshot:
Source0: surprise-%{version}.tar.bz2
Source1:	surboot.tar.gz
Buildroot:	/var/tmp/%{name}-root
#ExcludeArch:	ia64 s390

%description
Partition Surprise is a GPL'ed partition managing software for
Linux. Partition resizes, moves and conversions are implemented. Limited
support of operations on mounted ext2-filesystem is included as well.
RPM created for betatesting phase! Please backup your data before
usage! Generally the most safe use of this program is to run it on
regular user with access to the testing physical disk (like /dev/hdc*) in
/dev. Please note that partition table will not be reread automatically
if modifications by Surprise "confirm" were made by regular user. All
debug messages (currently turned on during compilation) are sent to stderr
(e.g. "surprisecurses 2>/tmp/surlog" or "surprisecurses 2>/dev/null").
You should use either "surprisecmdline" client or more comfortable
"surprisecurses" one, these clients are designed for further use. Just
for the testing purposes of YaST2-destined "dummy" module is provided
"testdummy" client (/usr/surprise/tests/testdummy), please read its
documentation file "testdummy.txt".
The whole package documentation is installed in
/usr/share/doc/packages/surprise in HTML format.
The authors can be contacted at <surprise@suse.cz>.

SuSE series: ap

%package -n surprise-devel
Summary:      Partition Surprise development environment
Group:		Development/System
Autoreqprov:	on
Requires:	surprise = %{PACKAGE_VERSION}
Provides:	surpri_d
Obsoletes:	surpri_d

%description -n surprise-devel
Partition Surprise is a GPL'ed partition managing software for
Linux. Partition resizes, moves and conversions are implemented. Limited
support of operations on mounted ext2-filesystem is included as well.
This package contains everything needed to use the partition surprise
library in your own program.
The whole package documentation is installed in
/usr/share/doc/packages/surprise-devel in HTML format.
The authors can be contacted at <surprise-devel@suse.cz>.

SuSE series: ap

%prep
%setup -a1 -n surprise-%{version}

%build
%{?suse_update_config:%{suse_update_config -f}}
#./autogen
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sbindir=/sbin \
	--libdir=/lib --mandir=%{_mandir} \
	--enable-shared --enable-static --with-online --with-doc-html \
	--with-cursesclient --without-gnomeclient \
	--enable-debug --with-optim="-O2 -g0"    --without-tests
#       --enable-debug --with-optim="-O2 -g0"    --with-tests=dummy    # line for test purposes
#       --disable-debug --with-optim=-O2       --without-tests          # line for hot release
# Gnome disabled temporarily
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/usr/surprise/surboot
install -m 0644 surboot/* $RPM_BUILD_ROOT/usr/surprise/surboot
chmod u+x $RPM_BUILD_ROOT/usr/surprise/surboot/surboot

%clean
rm -rf $RPM_BUILD_ROOT
# FIXME: /usr/share/locale/*/LC_MESSAGES/surprise.mo

%files
%defattr(-,root,root)
%doc INSTALL docs/sgml/user*.html
/sbin/surprisecmdline
/sbin/surprisecurses
/usr/bin/surpriseserver
%doc %{_mandir}/man8/surprise*.8*
/usr/share/surprise
/lib/*-*.so
#for bootimage:
/usr/surprise/surboot
#for version-info use: /lib/*.so.*
#for betatesting:
#%doc docs/testdummy.txt
#/usr/surprise/tests
#%doc docs/sgml/tech*.html

%files -n surprise-devel
%defattr(-,root,root)
#%doc ChangeLog
%doc docs/sgml/tech*.html
/usr/include/surprise
/usr/share/aclocal/*
/lib/*[a-z].so
/lib/*.a
/lib/*.la

%changelog -n surprise
* Tue Aug 21 2001 - msvec@suse.cz
- update to current CVS snapshot
- adapted to E2fsprogs-1.20
* Tue Aug 14 2001 - msvec@suse.cz
- update to current CVS snapshot
- exclude ia64 and s390 platforms
- bzip2 source
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon May 07 2001 - msvec@suse.cz
- update to current CVS snapshot
- should fix ppc compile errors
* Tue Mar 27 2001 - msvec@suse.cz
- ppc compile fix
* Mon Mar 19 2001 - msvec@suse.cz
- new version (0.1.3)
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Tue Dec 12 2000 - msvec@suse.cz
- new snapshot
* Wed Nov 29 2000 - schwab@suse.de
- Don't include kernel header.
* Fri Nov 24 2000 - msvec@suse.cz
- new snapshot
* Tue Nov 21 2000 - msvec@suse.cz
- new version of PS
* Thu Nov 09 2000 - ro@suse.de
- neededforbuild ext2fs_d -> e2fsprogs-devel
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Oct 04 2000 - msvec@suse.cz
- new version of PS
* Wed Sep 13 2000 - schwab@suse.de
- Fix varargs handling.
* Wed Sep 13 2000 - msvec@suse.cz
- new version of PS
* Fri Jul 14 2000 - kendy@suse.cz
- surboot: do not use awk
* Thu Jul 13 2000 - kendy@suse.cz
- surboot: exit 0 or 1 instead of reboot
- surboot: corrected English texts
* Tue Jul 11 2000 - kendy@suse.cz
- German messages.
- umount after taper call
* Mon Jul 03 2000 - kendy@suse.cz
- support for bootimage added
* Tue Jun 20 2000 - kasal@suse.cz
- update, added %%suse_update_config
* Thu Jun 15 2000 - kasal@suse.cz
- Oops, forgotten Buildroot: tag.
* Mon Jun 12 2000 - kasal@suse.cz
- initial release
